Bio Radio SDK - Xamarin Android: GLNeuroTech.Devices.Common.IDaqDevice Interface Reference

| Bio Radio SDK - Xamarin Android

Public Member Functions | Properties | Events | List of all members
GLNeuroTech.Devices.Common.IDaqDevice Interface Reference

Interface to implement all common features of a Great Lakes NeuroTechnologies sensor device. More...

Inheritance diagram for GLNeuroTech.Devices.Common.IDaqDevice:

## Public Member Functions

bool | Connect ()
| Connects to the device More...
void | Disconnect ()
| Disconnects from the device. More...
void | StartAcquisition ()
| Starts acquisition. Data will begin streaming to PC and filling signal buffers. More...
void | StopAcquisition ()
| Stops acquisition. More...
void | StartRecording (Stream outputStream)
| Starts recording to the specified file name. More...
void | StopRecording ()
| Stops the recording to file. More...

## Properties

bool | IsConnected`[get]`
| True if device is connected. Otherwise, False. More...
string | Name`[get]`
| The name of the device. Typically this is the ID that is printed on the device's label. More...
string | FirmwareVersion`[get]`
| The firmware version of the connected device. More...
string | HardwareVersion`[get, set]`
| The hardware version of the connected device. More...
List< SignalGroup > | SignalGroups`[get]`
| Returns a list of all signal groups supported by the device. More...
bool | IsAcquiring`[get]`
| Returns whether the device is currently acquiring data More...

## Events

EventHandler< CommunicationErrorArgs > | CommunicationError
| Raised when a communication error occurs. Refer to the GLNeuroTech.Devices.Common.CommunicationErrorArgs object for additional information"/> More...

## Detailed Description

Interface to implement all common features of a Great Lakes NeuroTechnologies sensor device.

## Member Function Documentation

## ◆ Connect()

bool GLNeuroTech.Devices.Common.IDaqDevice.Connect | ( |  | ) |

Connects to the device

Returns
  True if connection was successful, otherwise False.

Implemented in GLNeuroTech.Devices.Common.DaqDevice.

## ◆ Disconnect()

void GLNeuroTech.Devices.Common.IDaqDevice.Disconnect | ( |  | ) |

Disconnects from the device.

Implemented in GLNeuroTech.Devices.Common.DaqDevice.

## ◆ StartAcquisition()

void GLNeuroTech.Devices.Common.IDaqDevice.StartAcquisition | ( |  | ) |

Starts acquisition. Data will begin streaming to PC and filling signal buffers.

Implemented in GLNeuroTech.Devices.Common.DaqDevice.

## ◆ StartRecording()

void GLNeuroTech.Devices.Common.IDaqDevice.StartRecording | ( | Stream | outputStream | ) |

Starts recording to the specified file name.

Parameters

  outputStream | The path to the stream where the recording should be saved.

Implemented in GLNeuroTech.Devices.Common.DaqDevice.

## ◆ StopAcquisition()

void GLNeuroTech.Devices.Common.IDaqDevice.StopAcquisition | ( |  | ) |

Stops acquisition.

Implemented in GLNeuroTech.Devices.Common.DaqDevice.

## ◆ StopRecording()

void GLNeuroTech.Devices.Common.IDaqDevice.StopRecording | ( |  | ) |

Stops the recording to file.

Implemented in GLNeuroTech.Devices.Common.DaqDevice.

## Property Documentation

## ◆ FirmwareVersion

string GLNeuroTech.Devices.Common.IDaqDevice.FirmwareVersion

get

The firmware version of the connected device.

## ◆ HardwareVersion

string GLNeuroTech.Devices.Common.IDaqDevice.HardwareVersion

getset

The hardware version of the connected device.

## ◆ IsAcquiring

bool GLNeuroTech.Devices.Common.IDaqDevice.IsAcquiring

get

Returns whether the device is currently acquiring data

## ◆ IsConnected

bool GLNeuroTech.Devices.Common.IDaqDevice.IsConnected

get

True if device is connected. Otherwise, False.

## ◆ Name

string GLNeuroTech.Devices.Common.IDaqDevice.Name

get

The name of the device. Typically this is the ID that is printed on the device's label.

## ◆ SignalGroups

List<SignalGroup> GLNeuroTech.Devices.Common.IDaqDevice.SignalGroups

get

Returns a list of all signal groups supported by the device.

## Event Documentation

## ◆ CommunicationError

EventHandler<CommunicationErrorArgs> GLNeuroTech.Devices.Common.IDaqDevice.CommunicationError

Raised when a communication error occurs. Refer to the GLNeuroTech.Devices.Common.CommunicationErrorArgs object for additional information"/>